## org.jvnet.maven.plugin.antrun
Class GraphVizVisualizer

    java.lang.Object
      org.jvnet.maven.plugin.antrun.GraphVizVisualizer

All Implemented Interfaces:
  GraphVisitor

    public class GraphVizVisualizer

extends java.lang.Object
implements GraphVisitor

Generates a dependency diagram by using GraphViz.

Author:
  Kohsuke Kawaguchi

Constructor Summary
`GraphVizVisualizer(java.io.OutputStream out)`
`GraphVizVisualizer(java.io.PrintWriter out)`

Method Summary
`void` `addColoredSubgraph(DependencyGraph g, java.lang.String color)` Paint all edges and nodes that belong to the given subgraph by using the specified color.
`void` `close()`
`static GraphVizVisualizer` `createPng(java.io.File pngFile)` Returns a `GraphVizVisualizer` that generates a PNG file.
`boolean` `visit(DependencyGraph.Edge edge)` Visits an edge.
`boolean` `visit(DependencyGraph.Node node)` Visits a node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphVizVisualizer

    public GraphVizVisualizer(java.io.PrintWriter out)

### GraphVizVisualizer

    public GraphVizVisualizer(java.io.OutputStream out)

Method Detail

### addColoredSubgraph

    public void addColoredSubgraph(DependencyGraph g,
                                   java.lang.String color)

  Paint all edges and nodes that belong to the given subgraph by using the specified color.

### close

    public void close()

### visit

    public boolean visit(DependencyGraph.Edge edge)

  Description copied from interface: `GraphVisitor`
  Visits an edge.

  Specified by:
    `visit` in interface `GraphVisitor`
  Returns:
    false to cut the traversal here and don't visit its destination node.

### visit

    public boolean visit(DependencyGraph.Node node)

  Description copied from interface: `GraphVisitor`
  Visits a node.

  Specified by:
    `visit` in interface `GraphVisitor`
  Returns:
    false to cut the traversal here and don't visit any of forward edges from this node.

### createPng

    public static GraphVizVisualizer createPng(java.io.File pngFile)
                                        throws java.io.IOException

  Returns a `GraphVizVisualizer` that generates a PNG file.

  Throws:
    `java.io.IOException`

Copyright © 2011. All Rights Reserved.